import { Injectable } from "@angular/core";

@Injectable({
    providedIn: "root"
})
export class AnalyticsService {
    constructor() {}

    getWCO(wio, ot) {
        var dict = {};
        dict = {
            "5-10": 5.0,
            "5-20": 5.0,
            "5-30": 2.6,
            "5-40": 1.5,
            "5-50": 1.3,
            "5-60": 0.8,
            "5-70": 0.5,
            "5-80": 0.4,
            "5-90": 0.3,
            "5-100": 0.2,
            "10-10": 5.0,
            "10-20": 5.0,
            "10-30": 3.8,
            "10-40": 2.5,
            "10-50": 1.8,
            "10-60": 1.4,
            "10-70": 0.8,
            "10-80": 0.6,
            "10-90": 0.4,
            "10-100": 0.3,
            "15-10": 5.0,
            "15-20": 5.0,
            "15-30": 5.0,
            "15-40": 3.5,
            "15-50": 2.3,
            "15-60": 1.8,
            "15-70": 1.1,
            "15-80": 0.8,
            "15-90": 0.5,
            "15-100": 0.4,
            "20-10": 5.0,
            "20-20": 5.0,
            "20-30": 5.0,
            "20-40": 4.2,
            "20-50": 2.9,
            "20-60": 2.4,
            "20-70": 1.4,
            "20-80": 1.0,
            "20-90": 0.7,
            "20-100": 0.5,
            "25-10": 5.0,
            "25-20": 5.0,
            "25-30": 5.0,
            "25-40": 5.0,
            "25-50": 3.5,
            "25-60": 2.8,
            "25-70": 1.8,
            "25-80": 1.2,
            "25-90": 0.8,
            "25-100": 0.5,
            "30-10": 5.0,
            "30-20": 5.0,
            "30-30": 5.0,
            "30-40": 5.0,
            "30-50": 3.9,
            "30-60": 3.0,
            "30-70": 2.0,
            "30-80": 1.4,
            "30-90": 1.0,
            "30-100": 0.6,
            "35-10": 5.0,
            "35-20": 5.0,
            "35-30": 5.0,
            "35-40": 5.0,
            "35-50": 4.3,
            "35-60": 3.5,
            "35-70": 2.2,
            "35-80": 1.6,
            "35-90": 1.1,
            "35-100": 0.7,
            "40-10": 5.0,
            "40-20": 5.0,
            "40-30": 5.0,
            "40-40": 5.0,
            "40-50": 4.8,
            "40-60": 3.8,
            "40-70": 2.4,
            "40-80": 1.7,
            "40-90": 1.2,
            "40-100": 0.7,
            "45-10": 5.0,
            "45-20": 5.0,
            "45-30": 5.0,
            "45-40": 5.0,
            "45-50": 5.0,
            "45-60": 4.1,
            "45-70": 2.6,
            "45-80": 1.9,
            "45-90": 1.4,
            "45-100": 0.7,
            "50-10": 5.0,
            "50-20": 5.0,
            "50-30": 5.0,
            "50-40": 5.0,
            "50-50": 5.0,
            "50-60": 4.4,
            "50-70": 2.8,
            "50-80": 2.0,
            "50-90": 1.5,
            "50-100": 0.8,
            "55-10": 5.0,
            "55-20": 5.0,
            "55-30": 5.0,
            "55-40": 5.0,
            "55-50": 5.0,
            "55-60": 4.7,
            "55-70": 3.0,
            "55-80": 2.2,
            "55-90": 1.6,
            "55-100": 0.8,
            "60-10": 5.0,
            "60-20": 5.0,
            "60-30": 5.0,
            "60-40": 5.0,
            "60-50": 5.0,
            "60-60": 5.0,
            "60-70": 3.1,
            "60-80": 2.3,
            "60-90": 1.7,
            "60-100": 0.9,
            "65-10": 5.0,
            "65-20": 5.0,
            "65-30": 5.0,
            "65-40": 5.0,
            "65-50": 5.0,
            "65-60": 5.0,
            "65-70": 3.3,
            "65-80": 2.5,
            "65-90": 1.8,
            "65-100": 0.9,
            "70-10": 5.0,
            "70-20": 5.0,
            "70-30": 5.0,
            "70-40": 5.0,
            "70-50": 5.0,
            "70-60": 5.0,
            "70-70": 3.5,
            "70-80": 2.6,
            "70-90": 1.9,
            "70-100": 1.0,
            "75-10": 5.0,
            "75-20": 5.0,
            "75-30": 5.0,
            "75-40": 5.0,
            "75-50": 5.0,
            "75-60": 5.0,
            "75-70": 3.6,
            "75-80": 2.7,
            "75-90": 2.0,
            "75-100": 1.0,
            "80-10": 5.0,
            "80-20": 5.0,
            "80-30": 5.0,
            "80-40": 5.0,
            "80-50": 5.0,
            "80-60": 5.0,
            "80-70": 3.8,
            "80-80": 2.8,
            "80-90": 2.1,
            "80-100": 1.1,
            "85-10": 5.0,
            "85-20": 5.0,
            "85-30": 5.0,
            "85-40": 5.0,
            "85-50": 5.0,
            "85-60": 5.0,
            "85-70": 4.0,
            "85-80": 2.9,
            "85-90": 2.1,
            "85-100": 1.1,
            "90-10": 5.0,
            "90-20": 5.0,
            "90-30": 5.0,
            "90-40": 5.0,
            "90-50": 5.0,
            "90-60": 5.0,
            "90-70": 4.2,
            "90-80": 3.1,
            "90-90": 2.1,
            "90-100": 1.1
        };

        var key = wio.toString().trim() + "-" + ot.toString().trim();
        var wip = dict[key];

        console.log("wip: ", wip);

        if (wip < 0.5) {
            return [wip, "New Transformer"];
        } else if (wip > 0.5 && wip < 1.5) {
            return [wip, "Dry Insulation"];
        } else if (wip > 1.5 && wip < 2.5) {
            return [wip, "Medium Wet Insulation"];
        } else if (wip > 2.5 && wip < 4.0) {
            return [wip, "Wet Insulation"];
        } else {
            return [wip, "Very Wet Insulation"];
        }
    }

    getVolume(wip, vol) {
        const DENSITY = 0.86;

        var mass = vol * DENSITY;
        var massSolid = mass * 0.1;
        var weightOfWater = massSolid * wip;
        let obj = {};

        obj["volume"] = vol;
        obj["density"] = DENSITY;
        obj["mass"] = mass;
        obj["massSolid"] = massSolid;
        obj["weightOfWater"] = weightOfWater;

        console.log("volume input : ", vol);
        console.log("density const : ", DENSITY);
        console.log("mass : ", mass);
        console.log("mass Solid : ", massSolid);
        console.log("weight of water : ", weightOfWater);

        return obj;
    }
}
  